<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_020048b1b65987544bd" . "b5f9afa692a0f" => base64_decode("TnVtUm93c" . "yBpcyBub3" . "Qgc3VwcG9" . "ydGVk"), "_78aadcc2e8dfe" . "cef37e1fe6d5ff" . "bcdbb" => base64_decode("c3Fsc3J2X2ZldGNoX2FycmF" . "5"), "_9a1d01ea56101db475f6e198f06a" . "4f9d" => base64_decode("c3Fsc3J2X2Z" . "yZWVfc3RtdA" . "=="), "_d64c625486" . "4cf96656eab" . "cea4c48fe51" => base64_decode("c3Fsc" . "3J2X2" . "hhc19" . "yb3dz"), "_a591754a8" . "ddcdbda9c8" . "0f1db4d911" . "e14" => base64_decode("aXNfbnV" . "sbA=="));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_78aadcc2e8dfecef37e1fe6d5ff" . "bcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_78aadcc2e8dfecef37e1fe" . "6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_020048b1b65987544bdb" . "5f9afa692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a591754a8ddcdbda9c80f1db4d" . "911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d64c6254864cf96656ea" . "bcea4c48fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_9a1d01ea56" . "101db475f6e" . "198f06a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}